"""create table for flowers

Revision ID: 2b6e1c8c0e21
Revises: 0001
Create Date: 2023-05-24 14:47:49.120340

"""
from alembic import op
import sqlalchemy as sa
from sqlalchemy.sql import func


# revision identifiers, used by Alembic.
revision = '2b6e1c8c0e21'
down_revision = '0001'
branch_labels = None
depends_on = None


def upgrade():
    op.create_table(
        'flowers',
        sa.Column('id', sa.String(36), primary_key=True, default=func.uuid_func()),
        sa.Column('name', sa.String(), nullable=False, unique=True),
        sa.Column('description', sa.String(), nullable=True),
        sa.Column('species', sa.String(), nullable=False),
        sa.Column('created_at', sa.DateTime(), server_default=func.now()),
        sa.Column('updated_at', sa.DateTime(), server_default=func.now(), onupdate=func.now()),
        sa.Index('ix_flowers_name', 'name'),
        sa.Index('ix_flowers_species', 'species')
    )


def downgrade():
    op.drop_table('flowers')