from fastapi import APIRouter, Depends
from typing import List
from sqlalchemy.orm import Session
from core.database import get_db
from schemas.flower import FlowerSchema
from helpers.flower_helpers import get_all_flowers

router = APIRouter()

@router.get("/single", status_code=200, response_model=List[FlowerSchema])
async def get_flowers(db: Session = Depends(get_db)):
    return get_all_flowers(db)